com.google.gwt.dom.client

## Enum Style.WhiteSpace

- java.lang.Object
- - java.lang.Enum<Style.WhiteSpace>
  - - com.google.gwt.dom.client.Style.WhiteSpace

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.WhiteSpace>

Enclosing class:
  Style

    public static enum Style.WhiteSpace
    extends java.lang.Enum<Style.WhiteSpace>
    implements Style.HasCssName

Enum for the 'white-space' CSS property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NORMAL`
`NOWRAP`
`PRE`
`PRE_LINE`
`PRE_WRAP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getCssName()` Gets the CSS name associated with this value.
`static Style.WhiteSpace` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.WhiteSpace[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final Style.WhiteSpace NORMAL

#### NOWRAP

    public static final Style.WhiteSpace NOWRAP

#### PRE

    public static final Style.WhiteSpace PRE

#### PRE_LINE

    public static final Style.WhiteSpace PRE_LINE

#### PRE_WRAP

    public static final Style.WhiteSpace PRE_WRAP

### Method Detail

#### values

    public static Style.WhiteSpace[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Style.WhiteSpace c : Style.WhiteSpace.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Style.WhiteSpace valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCssName

    public abstract java.lang.String getCssName()

Description copied from interface: `Style.HasCssName`
Gets the CSS name associated with this value.

Specified by:
  `getCssName` in interface `Style.HasCssName`